Bug 1479976 - Refresh failed for VMware Provider in Cloudforms 4.5
Summary: Refresh failed for VMware Provider in Cloudforms 4.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: Linux
high
high
Target Milestone: GA
: 5.8.2
Assignee: James Wong
QA Contact: Leo Khomenko
URL:
Whiteboard: vmware:ems_refresh
Depends On: 1465761
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-09 20:43 UTC by Satoe Imaishi
Modified: 2017-10-27 18:42 UTC (History)
13 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1465761
Environment:
Last Closed: 2017-10-24 00:38:34 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-09 20:48:46 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/fine:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/5b43c9c0f1ededc220616c0e4b9055b3486629ab

commit 5b43c9c0f1ededc220616c0e4b9055b3486629ab
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Aug 1 12:05:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 16:42:45 2017 -0400

    Merge pull request #77 from jameswnl/missingCtrl
    
    Dealing with disks which have no controller key
    (cherry picked from commit 3438f9b20d57c80e838874d0a8873b5dac4ededc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479976

 .../providers/vmware/infra_manager/refresh_parser.rb    | 17 +++++++++++------
 .../providers/vmware/infra_manager/refresher_spec.rb    | 15 +++++++++++++++
 .../vim_data/miq_vim_inventory/virtualMachinesByMor.yml | 10 +---------
 3 files changed, 27 insertions(+), 15 deletions(-)

Comment 5 errata-xmlrpc 2017-10-24 00:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.